<script>
export default {
    props: {
        'options': Array
    },
    data() {
        return {
            selectedValues: []
        }
    },
    emits: ['update:selectedValues'],
    async mounted() {
        this.$emit('update:selectedValues', []);
        for (const option of this.options) {
            if (option.isSelected) {
                // Here VSCode tels the await is not necessary but it actually is if there are various preselected checkboxes.
                await document.getElementById(option.optionID).click();
            }
        }
    }
}
</script>

<template>
    <br>
    <template v-for="option in options" :key="option['optionName']">
        <input type="checkbox" :id="option['optionID']" :value="option['optionName']" :name="option['optionName']"
        v-model="selectedValues"
        @change="$emit('update:selectedValues', selectedValues)">
        {{ option['optionLabel'] }}
        <br>
    </template>
</template>